FlexHub Forum

FlexHub General => Feature requests => Topic started by: Wolfbane on January 28, 2010, 20:04:36

Title: Debian/Ubuntu Repo Package
Post by: Wolfbane on January 28, 2010, 20:04:36
I think this would help Flexhub's acceptance into the world if it was in the Debian/Ubuntu repo.
Right now there are only 2 hubsofts in the repo, verlihub and opendchub - blegh!

This is probably the most widely used *nix distro at the time, and being able to sudo apt-get install flexhub would be a great asset to Flexhub.

I realize someone has to maintain the package and it needs to be accepted by Canonical, etc. and I would gladly volunteer to do whatever is required to have FlexHub added and kept in the Ubuntu repos

(If anyone has links for this please let me know, 20 mins of googling has turned up nothing in regards to adding things to their main repo)
Title: Re: Debian/Ubuntu Repo Package
Post by: FlipFlopâ„¢ on January 29, 2010, 08:42:42
It's a good idea, but since Canonical is a commercial sponsor, i doubt adding FlexHub to their repo would go without cost...

If it is free however, i'll happily accept your offer to maintain the package and get it accepted.
Title: Re: Debian/Ubuntu Repo Package
Post by: lys on September 25, 2010, 15:21:56
i'd look into how linuxdc++ does it, i doubt very much they pay to be in the repo's

link: https://launchpad.net/~linuxdcpp-team/+archive/ppa (https://launchpad.net/~linuxdcpp-team/+archive/ppa)
Title: Re: Debian/Ubuntu Repo Package
Post by: lys on September 25, 2010, 15:23:29
also depending on how the softwares compiled etc i might be up for doing a gentoo ebuild, not promising anything but once we can get the software i'll deffo look into it :)
Title: Re: Debian/Ubuntu Repo Package
Post by: TraN on October 02, 2010, 18:25:22
A self-extracting .run-installer is being worked on at the moment, and have been successfully tested on two or three dists. Allthough, I agree that a repo package would be really nice. I also admit I have no knowledge what-so-ever to do that kind of thing.. :/